import { RadioGroup as FASTRadioGroup } from '@microsoft/fast-foundation';
import { foundationSegmentedControlStyles as styles } from './segmented-control.styles';
import { foundationSegmentedControlTemplate as template } from './segmented-control.template';
export class SegmentedControl extends FASTRadioGroup {
    valueChanged() {
        if (this.value === undefined) {
            if (this.slottedRadioButtons) {
                this.slottedRadioButtons.forEach((radio) => {
                    radio.checked = false;
                });
            }
        }
        super.valueChanged();
    }
}
export const foundationSegmentedControlShadowOptions = undefined;
export const defaultSegmentedControlConfig = {};
export const foundationSegmentedControl = SegmentedControl.compose(Object.assign({ baseName: 'segmented-control', template,
    styles, shadowOptions: foundationSegmentedControlShadowOptions }, defaultSegmentedControlConfig));
